Loading...
Searching...
No Matches
color_table.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include <grass/colors.h>`
`#include "pngdriver.h"`
Include dependency graph for color_table.c:

Go to the source code of this file.

## Functions

void | png_init_color_table (void)
void | png_get_pixel (unsigned int pixel, int *r, int *g, int *b, int *a)
unsigned int | png_get_color (int r, int g, int b, int a)

## Function Documentation

## png_get_color()

unsigned int png_get_color | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a )

Definition at line 118 of file color_table.c.

References b, g, png, and r.

Referenced by PNG_color_rgb(), PNG_draw_bitmap(), PNG_Graph_set(), PNG_raster(), read_bmp(), read_pgm(), read_png(), and read_ppm().

## png_get_pixel()

void png_get_pixel | ( | unsigned int | pixel,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a )

Definition at line 110 of file color_table.c.

References b, g, png, and r.

Referenced by PNG_draw_bitmap(), write_bmp(), write_pgm(), write_png(), and write_ppm().

## png_init_color_table()

void png_init_color_table | ( | void |  | ) |

Definition at line 72 of file color_table.c.

References png.

Referenced by PNG_Graph_set().